> For the complete documentation index, see [llms.txt](https://docs.earthscale.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.earthscale.ai/earthscale-documentation/access-your-own-data/google-cloud-gcp.md).

# Google Cloud (GCP)

### Supported URL formats

Earthscale supports GCP URLs formatted like:

```
gs://{bucket_name}/{path_to_files_can_contain_glob_patterns}
```

Values in curly brackets are placeholders.

### Security

Earthscale uses OpenID Connect (OIDC) to securely access your cloud data using dedicated per-customer service accounts. This eliminates the need to share credentials while providing fine-grained access control over your cloud resources. It also lets you revoke access at any time if necessary.

### Granting Access

\
To grant Earthscale access to a GCP bucket:

* Open [Earthscale](https://app.earthscale.ai/)
* Click on the user icon in the top-right corner of the left sidebar
* Click **"Cloud Access"**

Here you can see the GCP service account used to access your data, and copy a command to grant access to a bucket:

![](https://cdn.earthscale.ai/docs/assets/gcp_access.webp)

Just enter your bucket name in the input box and click the **"Copy"** ![](https://2565285527-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FarN1JFGInZYYYNhA61wM%2Fuploads%2Fgit-blob-94cc62aee7a57ea81562d7d330275450eaee1fc8%2Fcopy-icon.png?alt=media) button at the top-right corner.

### Use the Google Cloud Console

If you do not have access to the CLI, you can also grant access in the [Google Cloud Console](https://console.cloud.google.com/storage/browser/).

* Copy your Earthscale GCP service account email from the cloud access dialog (see above). It should look like:

`earthscale-data-25adc84a@earthscale.iam.gserviceaccount.com`

![](https://cdn.earthscale.ai/docs/assets/gcp_access.webp)

* Navigate to the bucket you want to share in the Google Cloud Console
* Tab **"Permissions"**
* Tab **"View by principals"**
* Click **"Grant access"**

![](https://2565285527-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FarN1JFGInZYYYNhA61wM%2Fuploads%2Fgit-blob-fc342288f011cdb0c18d7708d70c5f24c4ea217f%2Fcloud-access-gcp-console-permissions.webp?alt=media)

* Enter the storage account email you copied before into the **"Principals"** field
* Add the **"Storage Object Viewer"** role

![](https://2565285527-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FarN1JFGInZYYYNhA61wM%2Fuploads%2Fgit-blob-bb16bbf5f7bd731d9fd1482a643f5b08c62011b5%2Fcloud-access-gcp-console-add-viewer.webp?alt=media)

## Creating a new bucket

If you'd prefer to grant Earthscale access to a brand new bucket, you can follow the [GCP guide](https://cloud.google.com/storage/docs/creating-buckets) to create one. Then, follow the instructions above to grant Earthscale access to that bucket.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.earthscale.ai/earthscale-documentation/access-your-own-data/google-cloud-gcp.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
